
package de.ivu.elect.presentation.ergebnis;

public interface ErgebnisStatusInfo {

  String getPrintInfo();

  String getBadgeInfo();

  String getBadgeTooltip();

  String getBadgeInfoStyleClass();

  ErgebnisStatusInfo EMPTY = new ErgebnisStatusInfo() {

    @Override
    public String getPrintInfo() {
      return "";
    }

    @Override
    public String getBadgeInfo() {
      return "";
    }

    @Override
    public String getBadgeTooltip() {
      return "";
    }

    @Override
    public String getBadgeInfoStyleClass() {
      return "";
    }
  };
}
